Subject: bug#54191: [External] : Re: bug#54191: 26.3; (elisp) `Magic File Names' FILENAME parameters: absolute names?

From: Drew Adams <[email-masked]>
Date: Mon, 28 Feb 2022 16:28:22 +0000

> > How am I to know what kind of file name needs to be passed to this
> > function, e.g., whether I might need to first use `expand-file-name'?
> 
> In Emacs 29 (at least), this section includes examples like:
> 
>      This identifier string can include a host name and a user name, as
>      well as characters designating the method used to access the
>      remote system.  For example, the remote identifier string for the
>      file name ‘/sudo::/some/file’ is ‘/sudo:root@localhost:’.

That says nothing about what happens if you pass a
relative file name.

How is it clear from what you cite what the
behavior is for a relative or absolute name?

Even if you think it does say that (I don't), that
text applies only to `file-remote-p'.  The bug
report applies generally, to functions that accept
file-name arguments.

> So I think that's clear enough, and I'm closing this bug report.

Alas.